# WARNING: This package is synced with FC
%global major 0
%define libname %mklibname staroffice %{apiversion} %{major}
%define devname %mklibname -d staroffice
%global apiversion 0.0

Name: libstaroffice
Version: 0.0.7
Release: %mkrel 3
Summary: A library for import of binary StarOffice documents
Group: System/Libraries
License: MPLv2.0 or LGPLv2+
URL: https://github.com/fosnola/libstaroffice/wiki
Source: https://github.com/fosnola/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: doxygen
BuildRequires: help2man
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(zlib)

%description
%{name} is a library for import of binary StarOffice documents.

%package -n %libname
Summary: A library for import of binary StarOffice documents
Group: System/Libraries
# temp cauldron mixup:
Obsoletes: libstaroffice < 0.0.3-4
Obsoletes: %{_lib}staroffice0 < 0.0.3-4

%description -n %libname
%{libname} is a library for import of binary StarOffice documents.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
# temp cauldron mixup:
Obsoletes: libstaroffice-devel < 0.0.3-4

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform StarOffice documents into other formats
Group       : System/Base

%description tools
Tools to transform StarOffice documents into other formats. Currently
supported: CSV, HTML, plain text, SVG, raw.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules --enable-zip
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# rhbz#1001245 we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in sd2raw sd2svg sd2text sdc2csv sdw2html; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 sd2*.1 sd?2*.1 %{buildroot}/%{_mandir}/man1


%files -n %libname
%doc CREDITS NEWS README
%license COPYING.LGPL COPYING.MPL
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html

%files tools
%{_bindir}/sdw2html
%{_bindir}/sd2raw
%{_bindir}/sd2svg
%{_bindir}/sd2text
%{_bindir}/sdc2csv
%{_mandir}/man1/sdw2html.1*
%{_mandir}/man1/sd2raw.1*
%{_mandir}/man1/sd2svg.1*
%{_mandir}/man1/sd2text.1*
%{_mandir}/man1/sdc2csv.1*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.0.7-3.mga10
+ Revision: 2196605
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.0.7-2.mga9
+ Revision: 1799751
- Mageia 9 Mass Rebuild

* Sat Apr 18 2020 tv <tv> 0.0.7-1.mga8
+ Revision: 1569422
- 0.0.7

* Thu Feb 13 2020 umeabot <umeabot> 0.0.6-3.mga8
+ Revision: 1514457
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.0.6-2.mga7
+ Revision: 1299171
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 tv <tv> 0.0.6-1.mga7
+ Revision: 1251983
- new release
- adjust BRs

* Wed Feb 07 2018 tv <tv> 0.0.5-1.mga7
+ Revision: 1199461
- new release

* Mon Sep 11 2017 tv <tv> 0.0.4-1.mga7
+ Revision: 1152696
- new release

* Sat Jun 10 2017 luigiwalser <luigiwalser> 0.0.3-5.mga6
+ Revision: 1107480
- add patch from fedora to fix CVE-2017-9432

* Mon Feb 27 2017 wally <wally> 0.0.3-4.mga6
+ Revision: 1088080
- fix lib pkg name (add api)
- drop unneeded requires

* Mon Feb 27 2017 tv <tv> 0.0.3-3.mga6
+ Revision: 1088068
- fix libification

* Mon Feb 27 2017 tv <tv> 0.0.3-2.mga6
+ Revision: 1088049
- fix devel pkg name

* Mon Feb 27 2017 tv <tv> 0.0.3-1.mga6
+ Revision: 1088040
- imported package libstaroffice


* Sun Feb 26 2017 Thierry Vignaud <tv@mageia.org> 
- import from FC

* Wed Feb 22 2017 David Tardon <dtardon@redhat.com> - 0.0.3-1
- new upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 11 2016 David Tardon <dtardon@redhat.com> - 0.0.2-1
- new upstream release

* Thu Feb 11 2016 David Tardon <dtardon@redhat.com> - 0.0.1-1
- initial import
